{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}

{% extends "DatatourismeWebAppBundle:email:_layout.html.twig" %}

{% block subject -%}
    {% set is_new_thread = post.thread.posts | length > 1 ? false : true %}
    {% if is_new_thread == true -%}
        Nouvelle discussion : "{{ post.thread.title | raw }}"
    {%- else -%}
        Nouveau message dans la discussion "{{ post.thread.title | raw }}"
    {%- endif %}
{%- endblock %}

{% block body %}
    {% set is_new_thread = post.thread.posts | length > 1 ? false : true %}
    {% set url = url('support.thread', {id: post.thread.id, _fragment: post.id}) %}

    <p>{{ recipient.fullName }},</p>

    <p>
        {% if is_new_thread == true %}
            Une nouvelle discussion a été amorcée dans le centre de support : "<strong>{{ post.thread.title }}</strong>".
        {% else %}
            Un nouveau message a été posté dans la discussion "<strong>{{ post.thread.title }}</strong>".
        {% endif %}
            Vous pouvez cliquer sur le lien suivant pour accéder aux derniers messages de la discussion :
    </p>

    <table border="0" cellpadding="0" cellspacing="0" class="btn btn-primary">
        <tbody>
        <tr>
            <td align="left">
                <table border="0" cellpadding="0" cellspacing="0">
                    <tbody>
                    <tr>
                        <td> <a href="{{ url }}" target="_blank">Voir la discussion</a> </td>
                    </tr>
                    </tbody>
                </table>
            </td>
        </tr>
        </tbody>
    </table>

    <p>L'équipe {{ app_name }}.</p>
{% endblock %}